import os

# Funktionen vom letzten Übungszettel, leicht verbessert. 
# Vergleiche Musterlösung zu Zettel 09.

def get_title(filename):
    if os.path.isfile(filename):
        # Öffne Datei zum Lesen.
        file = open(filename,"r")
        # Lese die erste Zeile ein.
        line = file.readline()
        if line.startswith("TITLE;"):
            # Sequence Slicing, um "TITLE;" loszuwerden.
            title = line[6:]
            return title
        else:
            return None
        file.close()
    else:
        return None

def get_options(filename):
    if os.path.isfile(filename):
        file = open(filename,"r")
    
        # Wir beginnen mit einer leeren Liste.
        options = []
    
        # Wir inspizieren alle Zeilen.
        for line in file.readlines():
            # Diese Zeilen sind unsere Handlungsoptionen.
            if line.startswith("OPTION;"):
                # Split an ";" in drei Teile.
                segments = line.strip().split(";")
                # Tupel aus Ziel und Beschreibung...
                tar_desc = (segments[2],segments[1])
                # Wird an die Liste angehängt.
                options.append(tar_desc)
                
        file.close()
        return options
    else:
        return []

def get_contents(filename):
    # Wie sonst auch.
    if os.path.isfile(filename):
        file = open(filename,"r")
        # Variable zum ansammeln, startet leer.
        text = []
        # Wir untersuchen jede Zeile
        for line in file.readlines():
            # Falls die Zeile nicht mit "TITLE;" oder "OPTION;" startet...
            if not (line.startswith("TITLE;") or line.startswith("OPTION;")):
                # ... fügen wir sie der Variable hinzu.
                text.append(line)
        file.close()
        
        # Hier geben wir den Inhalt der Variable zurück.
        return text
    else:
        # Falls Datei nicht existiert, wird "None" zurück gegeben.
        return []